Agent for Monasca
You can not select more than 25 topics Topics must start with a letter or number, can include dashes ('-') and can be up to 35 characters long.

requirements.txt 1.0KB

1234567891011121314151617181920212223242526272829
  1. # The order of packages is significant, because pip processes them in the order
  2. # of appearance. Changing the order has an impact on the overall integration
  3. # process, which may cause wedges in the gate later.
  4. requests>=2.14.2 # Apache-2.0
  5. oslo.concurrency>=3.25.0 # Apache-2.0
  6. oslo.config>=5.2.0 # Apache-2.0
  7. oslo.i18n>=3.15.3 # Apache-2.0
  8. oslo.utils>=3.33.0 # Apache-2.0
  9. oslo.vmware>=2.17.0 # Apache-2.0
  10. PyYAML>=3.10 # MIT
  11. httplib2>=0.9.1 # MIT
  12. netaddr>=0.7.18 # BSD
  13. ntplib>=0.3.2,<0.4 # MIT
  14. psutil>=3.2.2 # BSD
  15. pymongo!=3.1,>=3.0.2 # Apache-2.0
  16. python-memcached>=1.56 # PSF
  17. python-monascaclient>=1.7.0 # Apache-2.0
  18. python-keystoneclient>=3.8.0 # Apache-2.0
  19. redis>=2.10.0 # MIT
  20. six>=1.10.0 # MIT
  21. stevedore>=1.20.0 # Apache-2.0
  22. tornado>=4.5.3 # Apache-2.0
  23. futures>=3.0.0;python_version=='2.7' or python_version=='2.6' # BSD
  24. # NOTE(sdague): before allowing in >= 0.21 please be sure
  25. # https://github.com/eventlet/eventlet/issues/401 is resolved
  26. eventlet!=0.18.3,!=0.20.1,>=0.18.2 # MIT
  27. keystoneauth1>=3.3.0 # Apache-2.0
  28. monasca-common>=2.7.0 # Apache-2.0